org.apache.velocity.tools.config

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.velocity.tools.config.ConfigurationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InvalidScopeException, NullKeyException

    public class ConfigurationException
    extends RuntimeException

Version:
  $Id: ConfigurationException.java 511959 2007-02-26 19:24:39Z nbubna $
Author:
  Nathan Bubna
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationException(Configuration config, String message)`
`ConfigurationException(Configuration config, String message, Throwable cause)`
`ConfigurationException(Configuration config, Throwable cause)`
`ConfigurationException(Data data, String message)`
`ConfigurationException(Data data, String message, Throwable cause)`
`ConfigurationException(Data data, Throwable cause)`
`ConfigurationException(String message)`
`ConfigurationException(String message, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getSource()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConfigurationException

    public ConfigurationException(String message)

#### ConfigurationException

    public ConfigurationException(String message,
                                  Throwable cause)

#### ConfigurationException

    public ConfigurationException(Data data,
                                  Throwable cause)

#### ConfigurationException

    public ConfigurationException(Data data,
                                  String message)

#### ConfigurationException

    public ConfigurationException(Data data,
                                  String message,
                                  Throwable cause)

#### ConfigurationException

    public ConfigurationException(Configuration config,
                                  Throwable cause)

#### ConfigurationException

    public ConfigurationException(Configuration config,
                                  String message)

#### ConfigurationException

    public ConfigurationException(Configuration config,
                                  String message,
                                  Throwable cause)

### Method Detail

#### getSource

    public Object getSource()